#ifndef Player_h_INCLUDED
#define Player_h_INCLUDED

#include <GameObject.h>

class GameObject;

#include <Autodestroyable.h>

class Player: public Autodestroyable
{
public:
	Player();
	void manage(const GameObjectVector& gameObjects);
	~Player();
	const vector3df& getPosition() const {return node->getPosition();}
	const vector3df& getRotation() const {return node->getRotation();}
	vector3df getDirectionVector() const;

	GameObject* nearbyBatteries;
private:
	IAnimatedMeshSceneNode* node;
	IShadowVolumeSceneNode* shadow;
	bool isColliding(const vector3df& pos, const GameObjectVector& gameObjects);
};

#endif //Player_h_INCLUDED
